commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From sebb <seb...@gmail.com>
Subject Re: [GUMP@vmgump]: Project commons-configuration-test (in module apache-commons) failed
Date Mon, 28 Jun 2010 10:09:11 GMT
On 28/06/2010, Emmanuel Bourg <ebourg@apache.org> wrote:
> Le 28/06/2010 10:21, Stefan Bodewig a écrit :
>
>
> > commons-configuration's POM lists dependencies on Xerces 2.6.2 and
> > xml-apis 1.0.b2 - at least the Xerces version is pretty old by now.
> >
> > Inside Gump you get the trunk of Xerces and the trunk of xml-commons'
> > java/external.  Right now it looks as if Xerces wouldn't see the
> > xml-apis jar you've downloaded (since that should contain
> > ElementTranversal).  It may be that ElementTraversal ends up in a
> > different jar, though.  I'll look into it.
> >
>
>  Thank you Stephan. However if Oliver targets Java 1.4 for the next 1.x
> release we might probably drop the dependencies on the xml-api and Xerces,
> if I remember well these were required to remain compatible with Java 1.3.

I'd recommend sticking with the Apache versions. [Just upgrade to the
latest for your target JVM.]
AIUI, although some of the XML code in the Java libraries was derived
from Apache, this was done a long while ago, and has not been updated
in step.

If you do decide to drop the dependencies, make sure you test with as
many different Java versions as possible.


>  Emmanuel Bourg
>
>
>

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@commons.apache.org
For additional commands, e-mail: dev-help@commons.apache.org


Mime
View raw message